import { EventEmitter, OnDestroy } from '@angular/core';
import { BehaviorSubject, Observable, Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BsRatingComponent implements OnDestroy {
    constructor();
    destroyed$: Subject<unknown>;
    maximum$: BehaviorSubject<number>;
    value$: BehaviorSubject<number>;
    previewValue$: BehaviorSubject<number | null>;
    stars$: Observable<boolean[]>;
    set maximum(value: number);
    valueChange: EventEmitter<number>;
    starsChange: EventEmitter<number>;
    get value(): number;
    set value(value: number);
    ngOnDestroy(): void;
    hoverValue(index: number): void;
    selectValue(index: number): void;
    onMouseLeave(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsRatingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BsRatingComponent, "bs-rating", never, { "maximum": "maximum"; "value": "value"; }, { "valueChange": "valueChange"; "starsChange": "starsChange"; }, never, never, false, never>;
}
